MUSICA Python API
=================

C++ Bindings
------------

Core
^^^^

.. automodule:: musica._musica._micm
   :members:
   :undoc-members:
   :show-inheritance:
   :private-members:
   :exclude-members: _SolverType

.. autoclass:: musica._musica._micm._SolverType
   :members:
   :undoc-members:
   :show-inheritance:
   :private-members:
   :exclude-members: __entries

Mechanism Configuration
^^^^^^^^^^^^^^^^^^^^^^^

.. automodule:: musica._musica._mechanism_configuration
   :members:
   :undoc-members:
   :show-inheritance:
   :private-members:
   :exclude-members: _ReactionType
  
.. autoclass:: musica._musica._mechanism_configuration._ReactionType
    :members:
    :undoc-members:
    :show-inheritance:
    :private-members:
    :exclude-members: __entries

Musica Types
------------

Mechanism Configuration
^^^^^^^^^^^^^^^^^^^^^^^

.. automodule:: musica.mechanism_configuration
   :members:
   :show-inheritance:
   :imported-members:

MICM
^^^^

.. automodule:: musica.micm
   :members:
   :undoc-members:
   :show-inheritance:
   :imported-members:
   :exclude-members: backend

TUVX
----

.. automodule:: musica.tuvx
   :members:
   :undoc-members:
   :show-inheritance:
   :private-members:
   :imported-members:
   :exclude-members: backend, _backend, v54

CARMA
-----

.. automodule:: musica.carma
   :members:
   :undoc-members:
   :show-inheritance:
   :private-members:
   :imported-members:
   :exclude-members: backend, _backend